## django-sekizai 1.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-sekizai.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-sekizai.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-sekizai 0.5.0

=== debian/changelog ===
django-sekizai (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #660673)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Feb 2012 20:25:38 +0100

=== debian/control ===
Source: django-sekizai
Section: python
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.90), python (>= 2.5), python-setuptools
Standards-Version: 3.9.2
Homepage: http://django-sekizai.readthedocs.org/
Vcs-Git: git://git.debian.org/collab-maint/python-django-sekizai.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-django-sekizai.git;a=summary

Package: python-django-sekizai
Architecture: all
Depends: ${misc:Depends}, python-support (>= 0.90), python-django, python-django-classy-tags
Description: template blocks for Django projects
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.

## django-sekizai 0.7

=== debian/changelog ===
django-sekizai (0.7-1) unstable; urgency=low

  * New upstream release.
  * Take over maintainership for DPMT and add myself as uploader, Thanks to
    Ondřej Surý for his work on this package.
  * Switch to dh_python2.
  * Change VCS-* fields to reflect moving the repository to subversion.
  * Remove debian/gbp.conf as DPMT uses subversion.
  * Bump Standards-Version to 3.9.5.
  * Bump debhelper version to 9.
  * Bump minimum Python version to 2.6.
  * Build documentation using sphinx and ship it in a separate package.
  * Add ${python:Depends} to python-django-sekizai binary package
    (Closes: #676255).
  * Make Depends on python-django versioned with (> 1.5).
  * Convert debian/copyright to copyright format 1.0.
  * Add myself in debian/copyright.
  * Run tests during build.
    + Add python-django (>= 1.5) to Build-Depends.
    + Add python-django-classy-tags to Build-Depends.
  * Clean up files in django_classy_tags.egg-info/ to allow two or more builds
    in a row.
  * Add debian/watch.
  * Add lintian override for missing PGP signature on upstream tarball.
  * Add lintian overrides for missing upstream changelog.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 17 Apr 2014 12:33:59 +0200

=== debian/control ===
Source: django-sekizai
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               python-all,
               python-django (>= 1.5),
               python-django-classy-tags,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://django-sekizai.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sekizai/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sekizai/trunk/

Package: python-django-sekizai
Architecture: all
Depends: python-django (>= 1.5),
         python-django-classy-tags,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-sekizai-doc
Description: template blocks for Django projects
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.

Package: python-django-sekizai-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: template blocks for Django projects (Documentation)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		PYTHONPATH="." $$python runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/_build
	dh_clean

## django-sekizai 0.8.2

=== debian/changelog ===
django-sekizai (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Add pep8 and python3-pep8 to Build-Depends to satisfy test
    requirements.

 -- Michael Fladischer <fladi@debian.org>  Mon, 15 Jun 2015 09:51:27 +0200

django-sekizai (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Mon, 18 May 2015 13:55:54 +0200

django-sekizai (0.7-2) unstable; urgency=medium

  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Add patch to call django.setup() on Django 1.7 before running the
    tests.
  * Add Python3 support.
  * Works with Django 1.7 (Closes: #755603).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 01 Sep 2014 12:13:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+Uploaders: Michael Fladischer <fladi@debian.org>,
            Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
+               pep8,
                python-all,
                python-django (>= 1.5),
                python-django-classy-tags,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+               python-sphinx (>= 1.0.7+dfsg),
+               python3-all,
+               python3-django,
+               python3-django-classy-tags,
+               python3-pep8,
+               python3-setuptools
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.0
 Homepage: http://django-sekizai.readthedocs.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sekizai/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sekizai/trunk/
@@ -33,6 +41,25 @@
  just like you should. Also sekizai will ignore any duplicate content in
  a single block.
 
+Package: python3-django-sekizai
+Architecture: all
+Depends: python3-django,
+         python3-django-classy-tags,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-django-sekizai-doc
+Description: template blocks for Django projects (Python3 version)
+ Sekizai means “blocks” in Japanese, and that’s what this app provides.
+ A fresh look at blocks. With django-sekizai you can define placeholders
+ where your blocks get rendered and at different places in your templates
+ append to those blocks. This is especially useful for css and javascript.
+ Your subtemplates can now define css and javscript files to be included,
+ and the css will be nicely put at the top and the javascript to the bottom,
+ just like you should. Also sekizai will ignore any duplicate content in
+ a single block.
+ .
+ This package contains the Python 3 version of the library.
+
 Package: python-django-sekizai-doc
 Section: doc
 Architecture: all

## django-sekizai 0.9.0

=== debian/changelog ===
django-sekizai (0.9.0-2) unstable; urgency=medium

  [ Edward Betts ]
  * debian/control: update Build-Depends, pep8 module is now in python-pep8

  [ Michael Fladischer ]
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Thu, 10 Mar 2016 17:12:39 +0100

django-sekizai (0.9.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Dec 2015 20:45:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,27 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
-           Ondřej Surý <ondrej@debian.org>
+           Ondřej Surý <ondrej@debian.org>,
+           Edward Betts <edward@4angle.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               pep8,
                python-all,
                python-django (>= 1.5),
                python-django-classy-tags,
+               python-pep8,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-django,
                python3-django-classy-tags,
                python3-pep8,
-               python3-setuptools
-Standards-Version: 3.9.6
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://django-sekizai.readthedocs.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sekizai/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sekizai/trunk/
+Vcs-Git: https://anonscm.debian.org/python-modules/packages/django-sekizai.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-sekizai.git
 
 Package: python-django-sekizai
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-sekizai-$1.tar.gz/ \
https://github.com/ojii/django-sekizai/releases \
/ojii/django-sekizai/archive/([\d\.]+)\.tar\.gz

## django-sekizai 0.10.0

=== debian/changelog ===
django-sekizai (0.10.0-4) unstable; urgency=medium

  * debian/tests/control: add DEP-8 tests
  * debian/control: use https in Homepage field
  * debian/source/lintian-overrides: update tag name

 -- Edward Betts <edward@4angle.com>  Sat, 17 Nov 2018 14:43:12 +0000

django-sekizai (0.10.0-3) unstable; urgency=medium

  * debian/control: Update standards version, no changes
  * debian/control: Add 'Multi-Arch: foreign' to python-django-sekizai-doc
  * debian/control: remove autopkgtest-pkg-python
  * debian/watch: Update GitHub repo location and filename
  * debian/copyright: Update GitHub repo location

 -- Edward Betts <edward@4angle.com>  Tue, 13 Nov 2018 14:27:17 +0000

django-sekizai (0.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Always use pristine-tar.
  * Apply patches from upstream PR#75 to make test pass again (Closes:
    #865590).
  * Add python(3)-pycodestyle to Build-Depends-Indep to be used during
    tests.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Mar 2018 22:44:59 +0200

django-sekizai (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches as the accompanying issues have been fixed
    upstream.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Sep 2016 10:16:19 +0200

django-sekizai (0.9.0-4) unstable; urgency=medium

  * Add myself as uploader.
  * Add patch to runtests.py to define TEMPLATES, which is required with Django
    1.10. This fixes FTBFS (Closes: #828656).
  * Remove useless X-Python{3,}-Version: (all satisfied in Stable).
  * Move some Build-Depends into Build-Depends-Indep, and remove version of
    python-django, as 1.5 is even already in oldstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Aug 2016 08:41:21 +0000

django-sekizai (0.9.0-3) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 11:54:55 +0200

=== debian/control ===
Source: django-sekizai
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Ondřej Surý <ondrej@debian.org>,
 Edward Betts <edward@4angle.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-django,
 python-django-classy-tags,
 python-pep8,
 python-pycodestyle,
 python3-django,
 python3-django-classy-tags,
 python3-pep8,
 python3-pycodestyle,
Standards-Version: 4.2.1
Homepage: https://django-sekizai.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/django-sekizai.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sekizai

Package: python-django-sekizai
Architecture: all
Depends:
 python-django,
 python-django-classy-tags,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-sekizai-doc,
Description: template blocks for Django projects
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.

Package: python-django-sekizai-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: template blocks for Django projects (Documentation)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the documentation.

Package: python3-django-sekizai
Architecture: all
Depends:
 python3-django,
 python3-django-classy-tags,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-sekizai-doc,
Description: template blocks for Django projects (Python3 version)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the Python 3 version of the library.

=== debian/tests/control ===
Test-Command: python2 runtests.py
Restrictions: allow-stderr
Depends: @, python-pycodestyle

Test-Command: python3 runtests.py
Restrictions: allow-stderr
Depends: @, python3-pycodestyle

## django-sekizai 1.0.0

=== debian/changelog ===
django-sekizai (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Drop running tests against python 2 (fixes FTBFS and autopktest)
  * autopkgtest: add missing dependency on python3-pep8

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 21 Aug 2019 10:28:56 -0300

django-sekizai (1.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Michael Fladischer ]
  * New upstream release.
  * Remove patches, integrated upstream.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2019 09:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,45 +8,20 @@
  Edward Betts <edward@4angle.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-django,
- python-django-classy-tags,
- python-pep8,
- python-pycodestyle,
  python3-django,
  python3-django-classy-tags,
  python3-pep8,
  python3-pycodestyle,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://django-sekizai.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-sekizai.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sekizai
-
-Package: python-django-sekizai
-Architecture: all
-Depends:
- python-django,
- python-django-classy-tags,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-django-sekizai-doc,
-Description: template blocks for Django projects
- Sekizai means “blocks” in Japanese, and that’s what this app provides.
- A fresh look at blocks. With django-sekizai you can define placeholders
- where your blocks get rendered and at different places in your templates
- append to those blocks. This is especially useful for css and javascript.
- Your subtemplates can now define css and javscript files to be included,
- and the css will be nicely put at the top and the javascript to the bottom,
- just like you should. Also sekizai will ignore any duplicate content in
- a single block.
 
 Package: python-django-sekizai-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-sekizai

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-sekizai-doc/usr/share/doc/python-django-sekizai-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell py3versions -r); do \
		PYTHONPATH="." $$python runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/tests/control ===
Test-Command: python3 runtests.py
Restrictions: allow-stderr
Depends:
 python3-pycodestyle,
 python3-pep8,
 @,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-sekizai-$1.tar.gz/ \
https://github.com/divio/django-sekizai/releases \
/divio/django-sekizai/archive/([\d\.]+)\.tar\.gz

## django-sekizai 1.1.0

=== tests/requirements.txt ===
# other requirements
tox
coverage
pep8

=== debian/changelog ===
django-sekizai (1.1.0-3) unstable; urgency=medium

  * Add a few missing packages in d/tests/control.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:46:51 +0200

django-sekizai (1.1.0-2) unstable; urgency=low

  * Fix autopkgtest (Closes: #951169).

 -- Michael Fladischer <fladi@debian.org>  Sun, 16 Feb 2020 12:41:55 +0100

django-sekizai (1.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.
  * Remove custom override for tests, debhelper does the right thing
    automatically.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Jan 2020 20:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-django-classy-tags,
  python3-pep8,
  python3-pycodestyle,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://django-sekizai.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-sekizai.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sekizai
+Rules-Requires-Root: no
 
 Package: python-django-sekizai-doc
 Section: doc

=== debian/tests/control ===
Test-Command: python3 setup.py test
Restrictions: allow-stderr
Depends:
 python3-pycodestyle,
 python3-pep8,
 python3-setuptools,
 python3-django,
 python3-django-classy-tags,
 @,

## django-sekizai 2.0.0

=== debian/changelog ===
django-sekizai (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove overrides for lintian tags that are no longer supported.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Edward Betts ]
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc Build-Depends.
  * Update Standards-Version.
  * Wrap and sort control files.
  * Update copyright year.
  * Update debian/watch file format version.

 -- Edward Betts <edward@4angle.com>  Thu, 11 Mar 2021 11:10:31 +0000

django-sekizai (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched from pep8 to flake8
  * Upstream requires at least django >= 2.2
  * Update to debhelper 13

 -- Edward Betts <edward@4angle.com>  Mon, 31 Aug 2020 15:56:28 +0100

=== debian/control ===
Source: django-sekizai
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Edward Betts <edward@4angle.com>,
           Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-setuptools,
               python3-sphinx
Build-Depends-Indep: python3-django,
                     python3-django-classy-tags,
                     python3-flake8,
                     python3-pycodestyle
Standards-Version: 4.5.1
Homepage: https://django-sekizai.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/django-sekizai.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sekizai
Rules-Requires-Root: no

Package: python-django-sekizai-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: template blocks for Django projects (Documentation)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the documentation.

Package: python3-django-sekizai
Architecture: all
Depends: python3-django (>= 2.2),
         python3-django-classy-tags,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-sekizai-doc
Description: template blocks for Django projects (Python3 version)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-sekizai

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-sekizai-doc/usr/share/doc/python-django-sekizai-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/tests/control ===
Test-Command: python3 setup.py test
Restrictions: allow-stderr
Depends: python3-django,
         python3-django-classy-tags,
         python3-pep8,
         python3-pycodestyle,
         python3-setuptools,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-sekizai-$1.tar.gz/ \
https://github.com/divio/django-sekizai/releases \
/divio/django-sekizai/archive/([\d\.]+)\.tar\.gz

## django-sekizai 3.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
--trusted-host pypi.python.org
--trusted-host pypi.org
--trusted-host files.pythonhosted.org

asgiref==3.4.1
    # via django
bump2version==1.0.1
    # via -r requirements.in
cfgv==3.3.1
    # via pre-commit
click==8.0.3
    # via pip-tools
distlib==0.3.4
    # via virtualenv
django==4.0.1
    # via
    #   -r requirements.in
    #   django-classy-tags
django-classy-tags==2.0.0
    # via -r requirements.in
filelock==3.4.2
    # via virtualenv
identify==2.4.4
    # via pre-commit
nodeenv==1.6.0
    # via pre-commit
pep517==0.12.0
    # via pip-tools
pip-tools==6.4.0
    # via -r requirements.in
platformdirs==2.4.1
    # via virtualenv
pre-commit==2.17.0
    # via -r requirements.in
pyyaml==6.0
    # via pre-commit
six==1.16.0
    # via virtualenv
sqlparse==0.4.2
    # via django
toml==0.10.2
    # via pre-commit
tomli==2.0.0
    # via pep517
virtualenv==20.13.0
    # via pre-commit
wheel==0.37.1
    # via
    #   -r requirements.in
    #   pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== docs/requirements.txt ===
django<3.3
MarkupSafe
Pygments
restructuredtext_lint
sphinx
sphinxcontrib-spelling
sphinx-autobuild
sphinxcontrib-inlinesyntaxhighlight

=== debian/changelog ===
django-sekizai (3.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-django-sekizai: Drop versioned constraint on python3-django in
      Depends.

  [ Edward Betts ]
  * New upstream release.
  * Update copyright year

 -- Edward Betts <edward@4angle.com>  Fri, 11 Feb 2022 14:57:28 +0000

django-sekizai (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.
  * Switch buildtests and autopkgtests to use pytest.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Jan 2022 16:24:04 +0000

django-sekizai (2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Nov 2021 07:54:43 +0000

django-sekizai (2.0.0-4) unstable; urgency=low

  * Update github organization to django-cms in all URLs.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Fri, 15 Oct 2021 16:56:14 +0000

django-sekizai (2.0.0-3) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Sep 2021 20:33:42 +0000

=== debian/control ===
Source: django-sekizai
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Ondřej Surý <ondrej@debian.org>,
 Edward Betts <edward@4angle.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-django,
 python3-django-classy-tags,
 python3-flake8,
 python3-pycodestyle,
 python3-pytest,
 python3-pytest-django,
Standards-Version: 4.6.0.1
Homepage: https://github.com/django-cms/django-sekizai/
Vcs-Git: https://salsa.debian.org/python-team/packages/django-sekizai.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sekizai
Rules-Requires-Root: no

Package: python-django-sekizai-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: template blocks for Django projects (Documentation)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the documentation.

Package: python3-django-sekizai
Architecture: all
Depends:
 python3-django,
 python3-django-classy-tags,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-sekizai-doc,
Description: template blocks for Django projects (Python3 version)
 Sekizai means “blocks” in Japanese, and that’s what this app provides.
 A fresh look at blocks. With django-sekizai you can define placeholders
 where your blocks get rendered and at different places in your templates
 append to those blocks. This is especially useful for css and javascript.
 Your subtemplates can now define css and javscript files to be included,
 and the css will be nicely put at the top and the javascript to the bottom,
 just like you should. Also sekizai will ignore any duplicate content in
 a single block.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-sekizai-$1.tar.gz/ \
https://github.com/django-cms/django-sekizai/releases \
/django-cms/django-sekizai/archive/refs/tags/([\d\.]+)\.tar\.gz

## django-sekizai 4.0.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
--trusted-host pypi.python.org
--trusted-host pypi.org
--trusted-host files.pythonhosted.org

asgiref==3.5.2
    # via django
build==0.8.0
    # via pip-tools
bump2version==1.0.1
    # via -r requirements.in
cfgv==3.3.1
    # via pre-commit
click==8.1.3
    # via pip-tools
distlib==0.3.5
    # via virtualenv
django==4.0.6
    # via
    #   -r requirements.in
    #   django-classy-tags
django-classy-tags==3.0.1
    # via -r requirements.in
filelock==3.7.1
    # via virtualenv
identify==2.5.2
    # via pre-commit
nodeenv==1.7.0
    # via pre-commit
packaging==21.3
    # via build
pep517==0.12.0
    # via build
pip-tools==6.8.0
    # via -r requirements.in
platformdirs==2.5.2
    # via virtualenv
pre-commit==2.20.0
    # via -r requirements.in
pyparsing==3.0.9
    # via packaging
pyyaml==6.0
    # via pre-commit
sqlparse==0.4.2
    # via django
toml==0.10.2
    # via pre-commit
tomli==2.0.1
    # via
    #   build
    #   pep517
virtualenv==20.16.0
    # via pre-commit
wheel==0.37.1
    # via
    #   -r requirements.in
    #   pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
django-sekizai (4.0.0-3) unstable; urgency=medium

  * Update debian/watch to check GitHub tags instead of releases.

 -- Edward Betts <edward@4angle.com>  Mon, 12 Dec 2022 11:44:35 +0000

django-sekizai (4.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on python3-django.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:31:23 +0100

django-sekizai (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add version to Build-Depends: python3-django (>= 3.8) to match upstream.
  * Update Standards-Version.
  * Build-Depends: Add <!nocheck> to test packages.

 -- Edward Betts <edward@4angle.com>  Sat, 30 Jul 2022 21:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
 Build-Depends-Indep:
  python3-django,
  python3-django-classy-tags,
- python3-flake8,
- python3-pycodestyle,
- python3-pytest,
- python3-pytest-django,
-Standards-Version: 4.6.0.1
+ python3-flake8 <!nocheck>,
+ python3-pycodestyle <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-django <!nocheck>,
+Standards-Version: 4.6.1
 Homepage: https://github.com/django-cms/django-sekizai/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sekizai.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sekizai

## django-sekizai 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,10 +4,6 @@
 #
 #    pip-compile
 #
---trusted-host pypi.python.org
---trusted-host pypi.org
---trusted-host files.pythonhosted.org
-
 asgiref==3.5.2
     # via django
 build==0.8.0
@@ -20,7 +16,7 @@
     # via pip-tools
 distlib==0.3.5
     # via virtualenv
-django==4.0.6
+django==4.0.8
     # via
     #   -r requirements.in
     #   django-classy-tags
@@ -46,17 +42,15 @@
     # via packaging
 pyyaml==6.0
     # via pre-commit
-sqlparse==0.4.2
+sqlparse==0.4.4
     # via django
 toml==0.10.2
     # via pre-commit
 tomli==2.0.1
-    # via
-    #   build
-    #   pep517
+    # via pep517
 virtualenv==20.16.0
     # via pre-commit
-wheel==0.37.1
+wheel==0.38.1
     # via
     #   -r requirements.in
     #   pip-tools

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-django<3.3
+django<4.1
 MarkupSafe
 Pygments
 restructuredtext_lint

=== debian/changelog ===
django-sekizai (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Fri, 05 May 2023 20:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-pycodestyle <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-django <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/django-cms/django-sekizai/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sekizai.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sekizai

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-sekizai
+export PYBUILD_TEST_ARGS=--ds tests.settings
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-sekizai-$1.tar.gz/ \
https://github.com/django-cms/django-sekizai/tags \
/django-cms/django-sekizai/archive/refs/tags/([\d\.]+)\.tar\.gz
